C2DBoundingBox Class Reference
Perfusion Analysis

2D axis orthothogonal bounding box. More...

`#include <mia/2d/boundingbox.hh>`

## Public Member Functions

void | add (const C2DFVector &point)
| C2DBoundingBox ()
| C2DBoundingBox (const C2DFVector &begin, const C2DFVector &end)
bool | empty () const
void | enlarge (float boundary)
C2DFVector | get_begin () const
C2DFVector | get_end () const
C2DIVector | get_grid_begin () const
C2DIVector | get_grid_end () const
C2DBounds | get_grid_size () const
C2DFVector | get_size () const
void | unite (const C2DBoundingBox &other)

## Detailed Description

2D axis orthothogonal bounding box.

Definition at line 38 of file boundingbox.hh.

## Constructor & Destructor Documentation

## C2DBoundingBox() [1/2]

C2DBoundingBox::C2DBoundingBox | ( |  | ) |

Referenced by unite().

## C2DBoundingBox() [2/2]

C2DBoundingBox::C2DBoundingBox | ( | const C2DFVector & | begin,
|  | const C2DFVector & | end )

Construct a new bounding box with

Parameters

  begin | left lower corner
  end | right upper corner

## Member Function Documentation

## add()

void C2DBoundingBox::add | ( | const C2DFVector & | point | ) |

Change the box to include the given point

Parameters

  point |

## empty()

bool C2DBoundingBox::empty | ( |  | ) | const

Returns
  true if the box is not empty

## enlarge()

void C2DBoundingBox::enlarge | ( | float | boundary | ) |

enlarge the bounding box by a given amount

Parameters

  boundary |

## get_begin()

C2DFVector C2DBoundingBox::get_begin | ( |  | ) | const

Returns
  left lower bounding box point

## get_end()

C2DFVector C2DBoundingBox::get_end | ( |  | ) | const

Returns
  right upper bounding box point

## get_grid_begin()

C2DIVector C2DBoundingBox::get_grid_begin | ( |  | ) | const

Returns
  left lower grid point

## get_grid_end()

C2DIVector C2DBoundingBox::get_grid_end | ( |  | ) | const

Returns
  right upper grid point

## get_grid_size()

C2DBounds C2DBoundingBox::get_grid_size | ( |  | ) | const

Returns
  size of bounding box in the grid

## get_size()

C2DFVector C2DBoundingBox::get_size | ( |  | ) | const

Returns
  size of bounding box

## unite()

void C2DBoundingBox::unite | ( | const C2DBoundingBox & | other | ) |

Combine two bounding boxes

Parameters

  other | box

References C2DBoundingBox().

The documentation for this class was generated from the following file:

- boundingbox.hh